const textDecoder = typeof TextDecoder === 'undefined' ? null : new TextDecoder('utf-8');

export class BrowserUtils {
  public static bufferToString(chunk: string | BufferSource) {
    if (typeof chunk === 'string') {
      return chunk;
    }
    if (textDecoder) {
      return textDecoder.decode(chunk);
    }
    return chunk.toString();
  }
}
